<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:st="scenari.eu:styler:1.0"
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:set="http://exslt.org/sets"
	exclude-result-prefixes="st set" 
	version="1.0">
<xsl:output method="xml" encoding="UTF-8" omit-xml-declaration="yes"/>
	
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
    
<xsl:template match="st:skinSet">
<skinSet xmlns="scenari.eu:skinSet:1.0"
				 code="{computeStrAgent('//codeSkinSet')}" 
				 version="{computeStrAgent('//version/minor')}">
			
<xsl:if test="st:icon/@sc:refUri">
<xsl:attribute name="icon">
<xsl:value-of select="substring-after(	computeStrAgent('//', concat('resUri:src=',st:icon/@sc:refUri,
                                               				';overidedst=', computeStrAgent('../outPath'), '/skin/icon.', alphaHash(st:icon/@sc:refUri), '.png',
	                                          				';transform=img2img&amp;outType=PNG&amp;sizeRules=Px(Bounds(maxW''100''maxH''100''))'
                                 )), '/tmp/pack/')"/>
</xsl:attribute>
</xsl:if>
			
<xsl:variable name="vUsedIn" select="concatExpr(set:distinct(st:parentWspKey/@key | st:otherCompliantWspKey/@key | st:generator/@owner), ., ', ')"/>
<xsl:for-each select="st:description">
<description xml:lang="{@lang}" title="{@name}" usedIn="{$vUsedIn}"/>
</xsl:for-each>
			
<xsl:for-each select="st:parentWspKey/@key | st:otherCompliantWspKey/@key">
<wspTypeFilter key="{.}"/>
</xsl:for-each>
			
<xsl:apply-templates select="st:generator"/>
</skinSet>
</xsl:template>
    
<xsl:template match="st:generator[@code]">
<xsl:variable name="vSkinFileName" select="if(@type='sm_odGenerator', '/skin.odt')"/>
<skin generatorCode="{@code}"
			  src="{substring-after(computeStrAgent('//',	concat('resUri:src=', st:skin/@sc:refUri,
                                        				';overidedst=',computeStrAgent('../outPath'), '/skin/', alphaHash(st:skin/@sc:refUri), '.doss', $vSkinFileName
								)), '/tmp/pack/')}">
<xsl:if test="st:skin/st:icon/@sc:refUri">
<xsl:attribute name="icon">
<xsl:value-of select="substring-after(	computeStrAgent('//', concat('resUri:src=',st:skin/st:icon/@sc:refUri,
                                               				';overidedst=', computeStrAgent('../outPath'), '/skin/icon.', alphaHash(st:skin/st:icon/@sc:refUri), '.png',
	                                          				';transform=img2img&amp;outType=PNG&amp;sizeRules=Px(Bounds(maxW''100''maxH''100''))'
                                 )), '/tmp/pack/')"/>
</xsl:attribute>
</xsl:if>
</skin>
</xsl:template>
    
</xsl:stylesheet>